Docs

Direct Debit · API reference · charges

Update Charge

PUT /charges/{charge_id}
Try it ▸

Base URL not set in the spec · operationId update_charge_charges__charge_id__put

Update an existing charge.

Authorization

The spec does not declare an authentication scheme for this endpoint.

Path parameters

charge_id string (uuid) required

Headers

X-API-Key string | null

Request body application/json · required

reference string | null

Reference provided by tenant

Responses

200 Successful Response application/json
org_id string (uuid) required

ID of the organization

instrument_id string (uuid) | null

ID of the payment instrument

customer_id string (uuid) | null

ID of the customer

amount number required

Charge amount

currency string | null

Currency code

mxn cop brl usd eur gbp
reference string | null

Reference provided by tenant

inline_instrument object | null

Inline instrument data

inline_customer object | null

Inline customer data

id string (uuid) required
status string required

Charge status enum.

verification_in_progress pending processing confirmed declined chargeback canceled
declined_reason string | null
insufficient_funds account_blocked undetermined risk_engine account_does_not_exist account_canceled account_in_other_currency account_not_belongs_to_bank transaction_duplicated client_order_declined_pay_to_issuer client_order_amount_is_more_than_authorized client_order_canceled client_service_not_authorized payment_order_expired client_rejected_charge
declined_reason_rail string | null
created_at string (date-time) required
updated_at string (date-time) | null
chargeback_at string (date-time) | null
result_at string (date-time) | null
risk_status string | null
pending ok cancelled_by_risk
risk_evaluated_at string (date-time) | null
risk_reasons array of string | null
422 Validation Error application/json
detail array of ValidationError
loc detail[].loc array of (string | integer) required
msg detail[].msg string required
type detail[].type string required
This request is in the Monato · Direct Debit Postman collection, folder charges.Download collection

Request

curl -X PUT "$BASE_URL/charges/{charge_id}" \
  -H "X-API-Key: $API_KEY"